<?php
namespace Landingi\Wordpress\Plugin\LandingiPlugin\Controller;

use Landingi\Wordpress\Plugin\Framework\Controller\AbstractController;
use Landingi\Wordpress\Plugin\Framework\Kernel\PluginPartInterface;
use Landingi\Wordpress\Plugin\Framework\Wrapper\AdminMenuTrait;
use Landingi\Wordpress\Plugin\LandingiPlugin\Service\PluginInstaller;

class AdminMenuSettings extends AbstractController implements PluginPartInterface
{
    use AdminMenuTrait;

    const ACTION_TAG = 'admin_menu';
    const PAGE_TITLE = 'Landingi Settings';
    const SUBMENU_TITLE = 'Settings';
    const MENU_SLUG = 'landingi_settings';
    const CAPABILITY = 'manage_options';

    public function action()
    {
        $landingiToken = $this->request->getPostParameter('landingi_token');

        if (isset($landingiToken)) {
            update_option(PluginInstaller::PLUGIN_LANDINGI_TOKEN, $landingiToken);
            $returnData['submitted'] = true;
        }

        $returnData['landingiToken'] = get_option(PluginInstaller::PLUGIN_LANDINGI_TOKEN);
        $this->response($this->render('admin_menu_settings.html.twig', $returnData));
    }

    public function initialize()
    {
        $this->addAdminSubMenuPage(AdminMenuAvailableLandings::MENU_SLUG);
    }
}
